X2Go Bug report logs - #979
pyhoca-gui cannot display application menu on Debian Jessie

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Ondřej Grover <ondrej.grover@gmail.com>

Date: Sat, 9 Jan 2016 07:20:02 UTC

Severity: normal

Tags: pending

Found in version 0.5.0.4-0x2go1+git20150608.1318+jessie.main.1

Fixed in version 0.5.0.5

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#979; Package pyhoca-gui. (Sat, 09 Jan 2016 07:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ondřej Grover <ondrej.grover@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 09 Jan 2016 07:20:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ondřej Grover <ondrej.grover@gmail.com>
To: submit@bugs.x2go.org
Subject: pyhoca-gui cannot display application menu on Debian Jessie
Date: Sat, 9 Jan 2016 08:18:26 +0100
[Message part 1 (text/plain, inline)]
Package: pyhoca-gui
Version: 0.5.0.4-0x2go1+git20150608.1318+jessie.main.1

Dear maintainers,

I installed the package pyhoca-gui from the X2Go Debian repositories (deb
http://packages.x2go.org/debian jessie main) on my Debian Jessie system.
When issuing a published applications session it connects and appears to
retrieve the application menu.

pyhoca-gui[21717] (x2gocontrolsession-pylib) NOTICE: querying server
(CENSORED) for list of published applications
pyhoca-gui[21717] (x2gocontrolsession-pylib) NOTICE: published applications
query for CENSORED finished, return menu tree

However, when I click the icon in systray, it throws an error in the
console (I ran it in a console to see log messages) and does not show
anything, but keeps running. Here is the full traceback:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/taskbar.py", line
153, in CreateSessionManagerPopupMenu
    self.menu_sessionmanager =
self.PopupMenu(menus_taskbar.PyHocaGUI_Menu_TaskbarSessionManager(self._PyHocaGUI,
caller=self,))
  File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/menus_taskbar.py",
line 1063, in __init__
    submenu=PyHocaGUI_Menu_TaskbarSessionProfile(self._PyHocaGUI,
caller=self, profile_name=profile_name))
  File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/menus_taskbar.py",
line 605, in __init__
    _category_map = _generate_Menu_PublishedApplications(self._PyHocaGUI,
caller=self, profile_name=profile_name,
session_name=_pubapp_session.get_session_name())
  File "/usr/lib/python2.7/dist-packages/pyhoca/wxgui/menus_taskbar.py",
line 499, in _generate_Menu_PublishedApplications
    _icon_bitmap = wx.BitmapFromImage(_icon_image.Scale(22,22))
  File "/usr/lib/python2.7/dist-packages/wx-3.0-gtk2/wx/_core.py", line
2916, in Scale
    return _core_.Image_Scale(*args, **kwargs)
wx._core.PyAssertionError: C++ assertion "IsOk()" failed at
../src/common/image.cpp(429) in Scale(): invalid image

The published applications session works well with the x2goclient, so the
server is not at fault here. I also tested this on a Linux Mint system
where I installed pyhoca-gui from the X2Go Ubuntu PPA and there it worked
well. Therefore, I conclude that this has something to do with the Debian
Jessie wxWidgets library. The versions I have installed:

libwxbase3.0-0:amd64 3.0.2-1+b1
libwxgtk3.0-0:amd64 3.0.2-1+b1
python-wxgtk
python-wxgtk2.8
python-wxgtk3.0 3.0.1.1+dfsg-2
python-wxversion 3.0.1.1+dfsg-2
python2.7-wxgtk3.0

Kind regards,
Ondřej Grover
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#979; Package pyhoca-gui. (Mon, 11 Jan 2016 21:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 11 Jan 2016 21:10:02 GMT) (full text, mbox, link).


Message #10 received at 979@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 979-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 979@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Mon, 11 Jan 2016 22:05:13 +0100 (CET)
tag #979 pending
fixed #979 0.5.0.5
thanks

Hello,

X2Go issue #979 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=1356291

The issue will most likely be fixed in src:pyhoca-gui (0.5.0.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1356291333fbec86e5a95f7a4eecc7fe90cd5526
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Jan 11 22:04:59 2016 +0100

    add bug closure for #979, fixed by previous commit

diff --git a/debian/changelog b/debian/changelog
index 865d057..9f1754d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,7 +4,7 @@ pyhoca-gui (0.5.0.5-0x2go1) UNRELEASED; urgency=medium
     - Handle notification the GTK3-way. (Fixes: #769).
     - Catch a wx._core.PyAssertionError (C++ assertion "IsOk()" failed at
       ../src/common/image.cpp(429) in Scale(): invalid image) when
-      rendering icons in the published applications menu.
+      rendering icons in the published applications menu. (Closes: #979).
   * debian/control,pyhoca-gui.specs:
     + Pull-in gobject introspection packages for libnotify support.
       Fallback to pynotify (GTK2 based notifcations) only if


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 11 Jan 2016 21:10:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.0.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 11 Jan 2016 21:10:03 GMT) (full text, mbox, link).


Message sent on to Ondřej Grover <ondrej.grover@gmail.com>:
Bug#979. (Mon, 11 Jan 2016 21:10:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#979; Package pyhoca-gui. (Thu, 28 Jan 2016 17:35:05 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 28 Jan 2016 17:35:06 GMT) (full text, mbox, link).


Message #22 received at 979@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 979-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 979@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Thu, 28 Jan 2016 18:33:22 +0100 (CET)
close #979
thanks

Hello,

we are very hopeful that X2Go issue #979 reported by you
has been resolved in the new release (0.5.0.5) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.5.0.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=c6680da4cacd7a6c3ce155f4180630abbb4a550a;hp=301225fa55b2ebe503fa4705bbbda119b4a549eb

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.5.0.5-0x2go1
Status: RELEASE
Date: Thu, 28 Jan 2016 18:23:00 +0100
Fixes: 689 769 979
Changes: 
 pyhoca-gui (0.5.0.5-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.5.0.5):
     - Handle notification the GTK3-way. (Fixes: #769).
     - Catch a wx._core.PyAssertionError (C++ assertion "IsOk()" failed at
       ../src/common/image.cpp(429) in Scale(): invalid image) when
       rendering icons in the published applications menu. (Fixes: #979).
   * debian/control,pyhoca-gui.specs:
     + Pull-in gobject introspection packages for libnotify support.
       Fallback to pynotify (GTK2 based notifcations) only if
       gi.repository.Notify is unavailable. (Fixes: #689).
 .
   [ Mihai Moldovan ]
   * New upstream version (0.5.0.5):
   * debian/control:
     - Drop python-support run-time dependency, add dh-python alternative to
       python-support build dependency.
       Needed at least for unstable, which has no python-support package
       anymore.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 28 Jan 2016 17:35:10 GMT) (full text, mbox, link).


Notification sent to Ondřej Grover <ondrej.grover@gmail.com>:
Bug acknowledged by developer. (Thu, 28 Jan 2016 17:35:10 GMT) (full text, mbox, link).


Message sent on to Ondřej Grover <ondrej.grover@gmail.com>:
Bug#979. (Thu, 28 Jan 2016 17:35:20 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 26 Feb 2016 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Aug 22 22:35:26 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.